program ntDoomFE;

uses
  Windows,
  Forms,
  Main in 'Main.pas' {NTDoomFrontEnd_Atm},
  kAssign in 'kAssign.pas' {KeyAssignForm};

{$R *.RES}
//{$DEFINE FINAL_VERSION}

var
  i: Integer;

begin
  {$IFDEF FINAL_VERSION}
  i := Windows.FindWindow('TNTDoomFrontEnd_Atm', NIL);
  {$ELSE}
  i := 0;
  {$ENDIF}

  if (i <> 0) then
  begin
    Windows.BringWindowToTop(i);
    Windows.SetForegroundWindow(i);
  end else
  begin
    Application.Initialize;
    Application.Title := 'NT-Doom Front-End 1.0';
    Application.CreateForm(TNTDoomFrontEnd_Atm, NTDoomFrontEnd_Atm);
  Application.Run;
  end;
end.
